<?php

namespace App\Models;

use App\Models\BaseModel;

/**
 * @description 基础设置
 * @author  system;
 * @version    1.0
 * @date 2018-07-22 14:05:49
 *
 */
class SettingInfoModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'setting_info';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'app_id',
        'app_secret',
        'mch_id',
        'api_key',
        'cert_path',
        'key_path',
        'free_refund_time',
        'refund_poundage_in',
        'refund_poundage_out'
    ];

}