@extends('admin.layout')

@section('content')
    <div class="row">
        <div class="ibox-content">
            <div class="list-group">

                <div class="list-group-item">

                    <h3 class="list-group-item-heading">ID</h3>

                    <p class="list-group-item-text"> {{ $data['id'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">订单编号</h3>

                    <p class="list-group-item-text"> {{ $data['out_trade_no'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">用户姓名</h3>

                    <p class="list-group-item-text"> {{ $data['username'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">性别</h3>

                    <p class="list-group-item-text">@if($data['sex'] ==1)女@else男@endif</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">电话</h3>

                    <p class="list-group-item-text"> {{ $data['phone'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">邮箱</h3>

                    <p class="list-group-item-text"> {{ $data['email'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">预约店铺</h3>

                    <p class="list-group-item-text"> {{ $data->store()}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">预约时间</h3>

                    <p class="list-group-item-text"> {{ $data['schedule_time'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">订单状态</h3>

                    <p class="list-group-item-text"> {{ $data->status()}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">照片</h3>

                    @if(isset($photo))
                        @foreach($photo as $item)
                            <img src="{{ $item }}" style="height: 80px">
                        @endforeach
                    @endif
                </div>

                <div class="list-group-item">

                    <h3 class="list-group-item-heading">备注</h3>

                    <p class="list-group-item-text"> {{ $data['comment'] or ''}}</p>

                </div>

                <div class="list-group-item">

                    <h3 class="list-group-item-heading">创建时间</h3>

                    <p class="list-group-item-text"> {{ $data['created_at'] or ''}}</p>

                </div>
                <div class="list-group-item">

                    <h3 class="list-group-item-heading">更新时间</h3>

                    <p class="list-group-item-text"> {{ $data['updated_at'] or ''}}</p>

                </div>
            </div>
        </div>
    </div>
@endsection